#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAA,0xD1,0xE2,0xE7,0xD1,0x08,0x51,0xFB,0x8F,0xFD,0xDA,0xCF,
		0x80,0xF5,0x86,0xA3,0x73,0x06,0x08,0xA1,0xA0,0x23,0xA5,0x6F,
		0xCD,0xF5,0x48,0x70,0x0D,0x57,0x16,0xF1,0xA8,0x5A,0x21,0x8E,
		0xE1,0x08,0x6B,0x29,0xD6,0x28,0x87,0x95,0x54,0x0B,0x48,0xFC,
		0x76,0xBA,0x2C,0x0C,0xB2,0xF3,0x62,0xFB,0xE3,0x79,0x0E,0x7A,
		0xF0,0xD0,0xF8,0xCB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
